<?php
/**
 * FPDF Advanced Table - Example
 * Copyright (c) 2005-2013, Andrei Bintintan, http://www.interpid.eu
 */

define( 'PDF_RESOURCES_IMAGES', dirname( __FILE__ ) . '/images' );

//include pdf class
require_once( "classes/pdf.php" );

/**
 * mypdf extends pdf class, it is used to draw the header and footer
 */
require_once( "mypdf-table.php" );

//Tag Based Multicell Class
require_once( "classes/pdftable.php" );

//create the pdf object and do some initialization
$oPdf = new tcpdf();
// use the default TCPDF configuration
$oPdf->SetCreator( PDF_CREATOR );
$oPdf->SetAuthor( 'Andrei Bintintan' );
$oPdf->SetTitle( 'TCPDF Advanced Table Example' );
$oPdf->SetMargins( PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT );
$oPdf->SetAutoPageBreak( true, PDF_MARGIN_BOTTOM );

// add a page
$oPdf->AddPage();

TCPDF_FONTS::addTTFfont( TCPDF_FONTS::_getfontpath() . '/calibri.ttf' );

$oPdf->SetFont( 'calibri', '', 11 );
$oPdf->SetFillColor( 254, 255, 245 );

$oMulticell = new PdfMulticell( $oPdf );
$oMulticell->multiCell( 0, 5, "Some text" );

$table = new PdfTable( $oPdf );
$table->initialize( array( 165 ), array(
    'ROW' => array(
        'TEXT_FONT' => 'calibri'
    )
) );

$sText = <<<EOL
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce quis ipsum ac magna hendrerit hendrerit. Maecenas tristique eros eu enim accumsan suscipit. Suspendisse ipsum nisl, malesuada vel turpis eu, pharetra mattis nibh. In ullamcorper lobortis viverra. Curabitur rhoncus, magna eget consequat tempus, turpis quam congue justo, quis tincidunt mi odio nec magna. Fusce fermentum vestibulum tellus id sodales. Fusce condimentum massa ac eros ultrices, sit amet eleifend dui ultrices. Integer tempor libero eget dolor convallis lobortis.

Vestibulum lobortis purus at mauris lacinia viverra. Proin a leo adipiscing, eleifend ante vitae, egestas tellus. Donec bibendum tempor diam et fringilla. Nam at urna lacinia, gravida neque vitae, faucibus quam. Aenean tortor magna, gravida ac viverra vel, pharetra vel massa. Donec eleifend dui in lorem ullamcorper, vel adipiscing mauris bibendum. Aliquam convallis, purus at posuere gravida, mauris nunc iaculis ligula, a cursus tortor arcu nec quam. Vivamus tristique, nisl ac varius blandit, dui est gravida est, volutpat consectetur ipsum metus eget ligula. Cras sed urna aliquet, volutpat mauris et, consectetur lorem. Phasellus laoreet nibh ac ante tempor, sit amet bibendum mi ullamcorper. Etiam rhoncus est non justo gravida dapibus. Pellentesque et lacinia felis. Nulla felis urna, lobortis id neque et, aliquam tincidunt turpis. In in mi vulputate, ultricies velit semper, laoreet tellus.

In nec lectus massa. Maecenas aliquam quam sit amet augue dictum, eget ultrices turpis blandit. Praesent nunc tellus, iaculis sed hendrerit in, pellentesque a dolor. Maecenas ac pulvinar eros, ut feugiat felis. Etiam iaculis nisl augue, ut mattis elit hendrerit auctor. Integer porta mi sit amet volutpat consequat. Aliquam erat volutpat.
EOL;


$table->AddRow( array( array( 'TEXT' => "SECTION 1", 'ALIGN' => 'C', 'TEXT_TYPE' => 'B', 'PADDING_TOP' => 5, 'PADDING_BOTTOM' => 5 ) ) );
$table->AddRow( array( array( 'TEXT' => $sText, 'TEXT_ALIGN' => 'J', 'PADDING_TOP' => 2, 'PADDING_BOTTOM' => 2 ) ) );
$table->close();

//send the pdf to the browser
$oPdf->Output();
